// Package define ...
//
// Description : define ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2025-01-24 11:21
package define

import "git.zhangdeman.cn/zhangdeman/consts"

// FieldValidateGenerateConfig 字段验证规则生成的配置
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 11:23 2025/1/24
type FieldValidateGenerateConfig struct {
	Field      string                        `json:"field,omitempty"`       // 字段
	RuleGroup  [][]GenerateRuleExpressConfig `json:"rule_group,omitempty"`  // 规则的分组, 同组内为 && 条件, 组之间为 || 条件, 适用于复杂条件配置
	RuleSimple GenerateRuleExpressConfig     `json:"rule_simple,omitempty"` // 简单条件配置, 与 RuleGroup 至少配置一个
}

// GenerateRuleExpressConfig 生成规则验证表达式的配置
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 11:27 2025/1/24
type GenerateRuleExpressConfig struct {
	Rule      consts.ValidatorRule `json:"rule,omitempty"`       // 条件配置
	ParamList []any                `json:"param_list,omitempty"` // 规则验证的参数列表
}
